## openvas-cli 1.4.5

=== CMakeLists.txt ===
# OpenVAS
# $Id$
# Description: Top-level cmake control for openvas-cli.
#
# Authors:
# Matthew Mundell <matthew.mundell@greenbone.net>
#
# Copyright:
# Copyright (C) 2010,2016 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

message ("-- Configuring openvas-cli ...")

project (openvas-cli C)

cmake_minimum_required (VERSION 2.8)

if (POLICY CMP0005)
  cmake_policy (SET CMP0005 OLD)
endif (POLICY CMP0005)

include (FindPkgConfig)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Debug)
endif (NOT CMAKE_BUILD_TYPE)

## Retrieve svn revision (at configure time)
#  Not using Subversion_WC_INFO, as it would have to connect to the repo
find_program (SVN_EXECUTABLE svn DOC "subversion command line client")

macro (Subversion_GET_REVISION dir variable)
  execute_process (COMMAND ${SVN_EXECUTABLE} info ${CMAKE_SOURCE_DIR}/${dir}
    OUTPUT_VARIABLE ${variable}
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  string (REGEX REPLACE "^(.*\n)?Revision: ([^\n]+).*"
    "\\2" ${variable} "${${variable}}")
endmacro (Subversion_GET_REVISION)

if (NOT CMAKE_BUILD_TYPE MATCHES "Release")
  if (EXISTS "${CMAKE_SOURCE_DIR}/.svn/")
    if (SVN_EXECUTABLE)
      Subversion_GET_REVISION(. ProjectRevision)
      set (SVN_REVISION "~svn${ProjectRevision}")
    else (SVN_EXECUTABLE)
      set (SVN_REVISION "~svn")
    endif (SVN_EXECUTABLE)
  endif (EXISTS "${CMAKE_SOURCE_DIR}/.svn/")
endif (NOT CMAKE_BUILD_TYPE MATCHES "Release")

## CPack configuration

set (CPACK_CMAKE_GENERATOR "Unix Makefiles")
set (CPACK_GENERATOR "TGZ")
set (CPACK_INSTALL_CMAKE_PROJECTS ".;openvas-cli;ALL;/")
set (CPACK_MODULE_PATH "")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set (CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README")
set (CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/README")
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_TOPLEVEL_TAG "")
set (CPACK_SYSTEM_NAME "")
set (CPACK_TOPLEVEL_TAG "")
set (CPACK_PACKAGE_VERSION_MAJOR "1")
set (CPACK_PACKAGE_VERSION_MINOR "4")

# Use this scheme for stable releases:
set (CPACK_PACKAGE_VERSION_PATCH "5${SVN_REVISION}")
set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
# Use this scheme for +betaN and +rcN releases:
#set (CPACK_PACKAGE_VERSION_PATCH "+beta1${SVN_REVISION}")
#set (CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}${CPACK_PACKAGE_VERSION_PATCH}")

set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_PACKAGE_VENDOR "The OpenVAS Project")
set (CPACK_SOURCE_IGNORE_FILES
"${CMAKE_BINARY_DIR}"
"/.svn/"
"/.hg/"
"/.git/"
"swp$"
)

include (CPack)

## Variables

if (SYSCONF_INSTALL_DIR)
  set (SYSCONFDIR "${SYSCONF_INSTALL_DIR}")
endif (SYSCONF_INSTALL_DIR)

if (NOT SYSCONFDIR)
  set (SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc")
endif (NOT SYSCONFDIR)

if (NOT EXEC_PREFIX)
  set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
endif (NOT EXEC_PREFIX)

if (NOT BINDIR)
  set (BINDIR "${EXEC_PREFIX}/bin")
endif (NOT BINDIR)

if (NOT SBINDIR)
  set (SBINDIR "${EXEC_PREFIX}/sbin")
endif (NOT SBINDIR)

if (NOT LIBDIR)
  set (LIBDIR "${EXEC_PREFIX}/lib")
endif (NOT LIBDIR)

if (NOT LOCALSTATEDIR)
  set (LOCALSTATEDIR "${CMAKE_INSTALL_PREFIX}/var")
endif (NOT LOCALSTATEDIR)

if (NOT DATADIR)
  set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
endif (NOT DATADIR)

if (NOT INCLUDEDIR)
  set (INCLUDEDIR "${CMAKE_INSTALL_PREFIX}/include")
endif (NOT INCLUDEDIR)

message ("-- Install prefix: ${CMAKE_INSTALL_PREFIX}")

## Dependency checks

pkg_check_modules (LIBOPENVAS_OMP REQUIRED libopenvas_omp>=8.0.4)
pkg_check_modules (LIBOPENVAS_BASE REQUIRED libopenvas_base>=8.0.0)
pkg_check_modules (LIBOPENVAS_MISC REQUIRED libopenvas_misc>=8.0.0)
pkg_check_modules (GNUTLS REQUIRED gnutls>=2.8)
pkg_check_modules (GLIB REQUIRED glib-2.0)

if (BUILD_STATIC_NAGIOS OR BUILD_STATIC_OMP)
  message (STATUS "Looking for libgcrypt...")
  find_library (LIBGCRYPT gcrypt)
  if (NOT LIBGCRYPT)
    message (SEND_ERROR "The libgcrypt library is required.")
  else (NOT LIBGCRYPT)
    message (STATUS "Looking for libgcrypt... ${LIBGCRYPT}")
    execute_process (COMMAND libgcrypt-config --cflags
      OUTPUT_VARIABLE GCRYPT_CFLAGS
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    execute_process (COMMAND libgcrypt-config --libs
      OUTPUT_VARIABLE GCRYPT_LDFLAGS
      OUTPUT_STRIP_TRAILING_WHITESPACE)
  endif (NOT LIBGCRYPT)

  message (STATUS "Looking for gpgme...")
  find_library (GPGME gpgme)
  if (NOT GPGME)
    message (SEND_ERROR "The gpgme library is required.")
  else (NOT GPGME)
    message (STATUS "Looking for gpgme... ${GPGME}")
    execute_process (COMMAND gpgme-config --cflags
      OUTPUT_VARIABLE GPGME_CFLAGS
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    execute_process (COMMAND gpgme-config --libs
      OUTPUT_VARIABLE GPGME_LDFLAGS
      OUTPUT_STRIP_TRAILING_WHITESPACE)
  endif (NOT GPGME)
endif (BUILD_STATIC_NAGIOS OR BUILD_STATIC_OMP)

set (OPENVAS_CFLAGS "${LIBOPENVAS_OMP_CFLAGS} ${LIBOPENVAS_BASE_CFLAGS} ${LIBOPENVAS_MISC_CFLAGS}")
set (OPENVAS_LDFLAGS "${LIBOPENVAS_OMP_LDFLAGS} ${LIBOPENVAS_BASE_LDFLAGS} ${LIBOPENVAS_MISC_LDFLAGS}")
## Version

string (REPLACE "
" "" OPENVASCLI_VERSION ${CPACK_PACKAGE_VERSION})

# Configure Doxyfile with version number
configure_file (doc/Doxyfile.in doc/Doxyfile)
configure_file (doc/Doxyfile_full.in doc/Doxyfile_full)
configure_file (VERSION.in VERSION)

## Program

if (MINGW)
  set (HARDENING_FLAGS            "-Wformat -Wformat-security -O2 -D_FORTIFY_SOURCE=2")
else (MINGW)
  set (HARDENING_FLAGS            "-Wformat -Wformat-security -O2 -D_FORTIFY_SOURCE=2 -fstack-protector")
  set (LINKER_HARDENING_FLAGS     "-Wl,-z,relro -Wl,-z,now")
endif (MINGW)

set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} -Werror")
set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} ${HARDENING_FLAGS} -Wall -Wextra")

add_subdirectory (omp)
add_subdirectory (nagios)
add_subdirectory (dialog)

## Documentation

add_subdirectory (doc)

## Tests

enable_testing ()

## End

=== dialog/CMakeLists.txt ===
# OpenVAS
# $Id$
# Description: CMakefile for the OpenVAS CLI program omp-dialog
#
# Authors:
# Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>
#
# Copyright:
# Copyright (C) 2012 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

## Install

install (FILES ${CMAKE_SOURCE_DIR}/dialog/omp-dialog
         DESTINATION ${BINDIR}
         PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE
                     GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

## End

=== doc/CMakeLists.txt ===
# OpenVAS
# $Id$
# Description: CMakefile for the OpenVAS CLI documentation
#
# Authors:
# Matthew Mundell <matt@mundell.ukfsn.org>
#
# Copyright:
# Copyright (C) 2009,2010, 2016 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

# Howto update man pages:
# With "make man" and "make man-html", new files with ".8" and ".8.html" are
# created in the build/doc directory. These files need to be copied to the
# source doc directory and committed as "generated from .8.xml", see ChangeLog
# for examples.

## Find xml2man

message (STATUS "Looking for xmltoman...")

find_program (XMLTOMAN_EXECUTABLE xmltoman
  PATHS /bin /usr/bin /usr/local/bin/
  DOC "xmltoman location")

message (STATUS "Looking for xmltoman... ${XMLTOMAN_EXECUTABLE}")

find_program (XMLMANTOHTML_EXECUTABLE xmlmantohtml
  PATHS /bin /usr/bin /usr/local/bin/
  DOC "xmlmantohtml location")

message (STATUS "Looking for xmlmantohtml... ${XMLMANTOHTML_EXECUTABLE}")

# FIX find_program seems to follow symlink
if (XMLMANTOHTML_EXECUTABLE)
  set (XMLMANTOHTML_EXECUTABLE xmlmantohtml)
endif (XMLMANTOHTML_EXECUTABLE)

## build

include (FindDoxygen)

## Emit warning if Doxygen not found.
## Otherwise, create doc and doc-full targets.
if (NOT DOXYGEN_EXECUTABLE)
  message (STATUS "Doxygen is required to build the HTML docs.")
else (NOT DOXYGEN_EXECUTABLE)
  add_custom_target (doc COMMENT "Building documentation..."
                     DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/.built-html ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  add_custom_target (doc-full COMMENT "Building documentation..."
                     DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full ${CMAKE_CURRENT_BINARY_DIR}/.built-html_full)
add_custom_command (OUTPUT .built-html
  COMMAND sh
  ARGS -c \"${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile && touch ${CMAKE_CURRENT_BINARY_DIR}/.built-html\;\"
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

add_custom_command (OUTPUT .built-html_full
  COMMAND sh
  ARGS -c \"${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full && touch ${CMAKE_CURRENT_BINARY_DIR}/.built-html_full\;\"
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_full)
endif (NOT DOXYGEN_EXECUTABLE)

if (XMLTOMAN_EXECUTABLE)
  add_custom_target (man COMMENT "Building manual page..."
    DEPENDS omp.8 check_omp.8 omp-dialog.8)

  add_custom_command (OUTPUT omp.8
    COMMAND sh
    ARGS -c \"${XMLTOMAN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/omp.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/omp.8\;\"
    DEPENDS omp.8.xml)

  add_custom_command (OUTPUT check_omp.8
    COMMAND sh
    ARGS -c \"${XMLTOMAN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/check_omp.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/check_omp.8\;\"
    DEPENDS check_omp.8.xml)

  add_custom_command (OUTPUT omp-dialog.8
    COMMAND sh
    ARGS -c \"${XMLTOMAN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/omp-dialog.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/omp-dialog.8\;\"
    DEPENDS omp-dialog.8.xml)
else (XMLTOMAN_EXECUTABLE)
  message (STATUS "WARNING: xmltoman is required to generate manpages.")
  add_custom_command (OUTPUT omp.8
    COMMAND echo "[Error: xmltoman required to see manpage here]" > omp.8)
  add_custom_command (OUTPUT check_omp.8
    COMMAND echo "[Error: xmltoman required to see manpage here]" > check_omp.8)
  add_custom_command (OUTPUT omp-dialog.8
    COMMAND echo "[Error: xmltoman required to see manpage here]" > omp-dialog.8)
endif (XMLTOMAN_EXECUTABLE)

if (XMLMANTOHTML_EXECUTABLE)
  add_custom_target (man-html COMMENT "Building manual page HTML..."
    DEPENDS omp.html check_omp.html omp-dialog.html)

  add_custom_command (OUTPUT omp.html
    COMMAND sh
    ARGS -c \"${XMLMANTOHTML_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/omp.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/omp.html\;\"
    DEPENDS omp.8.xml)

  add_custom_command (OUTPUT check_omp.html
    COMMAND sh
    ARGS -c \"${XMLMANTOHTML_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/check_omp.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/check_omp.html\;\"
    DEPENDS check_omp.8.xml)

  add_custom_command (OUTPUT omp-dialog.html
    COMMAND sh
    ARGS -c \"${XMLMANTOHTML_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/omp-dialog.8.xml > ${CMAKE_CURRENT_BINARY_DIR}/omp-dialog.html\;\"
    DEPENDS omp-dialog.8.xml)
else (XMLMANTOHTML_EXECUTABLE)
  message (STATUS "WARNING: xmlmantohtml is required for manpage in HTML docs.")
  add_custom_command (OUTPUT omp.html
    COMMAND echo "[Error: xmlmantohtml required to see manpage here]" > omp.html)
  add_custom_command (OUTPUT check_omp.html
    COMMAND echo "[Error: xmlmantohtml required to see manpage here]" > check_omp.html)
  add_custom_command (OUTPUT omp-dialog.html
    COMMAND echo "[Error: xmlmantohtml required to see manpage here]" > omp-dialog.html)
endif (XMLMANTOHTML_EXECUTABLE)

install (FILES omp.8 check_omp.8 omp-dialog.8
  DESTINATION ${DATADIR}/man/man8 )

=== nagios/CMakeLists.txt ===
# OpenVAS
# $Id$
# Description: CMakefile for the OpenVAS CLI program omp
#
# Authors:
# Matthew Mundell <matthew.mundell@intevation.de>
#
# Copyright:
# Copyright (C) 2009, 2010 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

## Config

include_directories (${GLIB_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIRS}
                     ${LIBOPENVAS_OMP_INCLUDE_DIRS}
                     ${LIBOPENVAS_BASE_INCLUDE_DIRS}
                     ${LIBOPENVAS_MISC_INCLUDE_DIRS})

## Program

# FIXME: Find out how to install to nagios plugins directory.
add_executable (check_omp check_omp.c)

set_target_properties (check_omp PROPERTIES LINKER_LANGUAGE C)

if (OPENVASCLI_VERSION)
  add_definitions (-DOPENVASCLI_VERSION=\\\"${OPENVASCLI_VERSION}\\\")
endif (OPENVASCLI_VERSION)

add_definitions (-DOPENVAS_OS_NAME=\\\"${CMAKE_SYSTEM}\\\")
add_definitions (-DPREFIX=\\\"${CMAKE_INSTALL_PREFIX}\\\")

if (OPENVAS_LOG_DIR)
  add_definitions (-DOPENVAS_LOG_DIR=\\\"${OPENVAS_LOG_DIR}\\\")
endif (OPENVAS_LOG_DIR)

if (MINGW)
  set (GLIB_LDFLAGS "-L${CROSS_ENV}/lib")
  set (OPENVAS_LDFLAGS "-L${CMAKE_INSTALL_PREFIX}/lib")

  set_target_properties (check_omp PROPERTIES LINK_FLAGS
                         "${GLIB_LDFLAGS} ${OPENVAS_LDFLAGS}")

  set (GLIB_CFLAGS "-I${CROSS_ENV}include")
  set (GLIB_CFLAGS "${GLIB_CFLAGS} -I${CROSS_ENV}include/glib-2.0")
  set (GLIB_CFLAGS "${GLIB_CFLAGS} -I${CROSS_ENV}lib/glib-2.0/include")

  set_target_properties (check_omp PROPERTIES COMPILE_FLAGS
                         "-I${CMAKE_INSTALL_PREFIX}/include ${GLIB_CFLAGS}")

  target_link_libraries (check_omp "${GLIB_LDFLAGS} ${OPENVAS_LDFLAGS} -lglib-2.0 -lgnutls -lws2_32 -lgcrypt -lintl -lgpg-error -liconv -lz -lole32 -lopenvas_omp -lopenvas_misc")
else (MINGW)
  if (BUILD_STATIC_NAGIOS)
    set(CMAKE_EXE_LINKER_FLAGS -static)
    set(CMAKE_FIND_LIBRARY_SUFFIXES .a)
    set(CMAKE_EXE_LINK_DYNAMIC_C_FLAGS)
    set(CMAKE_SHARED_LIBRARY_C_FLAGS)
    set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS)
    set_property(GLOBAL PROPERTY TARGET_SUPPORTS_SHARED_LIBS FALSE)

    target_link_libraries (check_omp
                           ${GNUTLS_STATIC_LDFLAGS}
                           ${GLIB_STATIC_LDFLAGS}
                           ${GCRYPT_LDFLAGS}
                           ${LIBOPENVAS_OMP_STATIC_LDFLAGS}
                           ${LIBOPENVAS_BASE_STATIC_LDFLAGS}
                           ${LIBOPENVAS_MISC_STATIC_LDFLAGS}
                           ${GPGME_LDFLAGS})
  else (BUILD_STATIC_NAGIOS)
    target_link_libraries (check_omp
                           ${GNUTLS_LDFLAGS}
                           ${GLIB_LDFLAGS}
                           ${LIBOPENVAS_OMP_LDFLAGS}
                           ${LIBOPENVAS_BASE_LDFLAGS}
                           ${LIBOPENVAS_MISC_LDFLAGS}
                           ${LINKER_HARDENING_FLAGS})
  endif (BUILD_STATIC_NAGIOS)
endif (MINGW)

## Install

install (TARGETS check_omp
         RUNTIME DESTINATION ${BINDIR})

# FIXME: etags/ctags/tags support

=== omp/CMakeLists.txt ===
# OpenVAS
# $Id$
# Description: CMakefile for the OpenVAS CLI program omp
#
# Authors:
# Matthew Mundell <matthew.mundell@intevation.de>
#
# Copyright:
# Copyright (C) 2009, 2010 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

include_directories (${GLIB_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIRS}
                     ${LIBOPENVAS_OMP_INCLUDE_DIRS}
                     ${LIBOPENVAS_BASE_INCLUDE_DIRS}
                     ${LIBOPENVAS_MISC_INCLUDE_DIRS})

## Program

add_executable (omp omp.c)

set_target_properties (omp PROPERTIES LINKER_LANGUAGE C)

if (OPENVASCLI_VERSION)
  add_definitions (-DOPENVASCLI_VERSION=\\\"${OPENVASCLI_VERSION}\\\")
endif (OPENVASCLI_VERSION)

add_definitions (-DOPENVAS_OS_NAME=\\\"${CMAKE_SYSTEM}\\\")
add_definitions (-DPREFIX=\\\"${CMAKE_INSTALL_PREFIX}\\\")

if (OPENVAS_LOG_DIR)
  add_definitions (-DOPENVAS_LOG_DIR=\\\"${OPENVAS_LOG_DIR}\\\")
endif (OPENVAS_LOG_DIR)

set (OPENVAS_STATE_DIR    "${LOCALSTATEDIR}/lib/openvas")
set (OPENVAS_CLIENT_CERTIFICATE  "${OPENVAS_STATE_DIR}/CA/clientcert.pem")
set (OPENVAS_CLIENT_KEY          "${OPENVAS_STATE_DIR}/private/CA/clientkey.pem")
set (OPENVAS_CA_CERTIFICATE      "${OPENVAS_STATE_DIR}/CA/cacert.pem")
add_definitions (-DCACERT=\\\"${OPENVAS_CA_CERTIFICATE}\\\")
add_definitions (-DCLIENTCERT=\\\"${OPENVAS_CLIENT_CERTIFICATE}\\\")
add_definitions (-DCLIENTKEY=\\\"${OPENVAS_CLIENT_KEY}\\\")

if (MINGW)
  set (GLIB_LDFLAGS "-L${CROSS_ENV}/lib")
  set (OPENVAS_LDFLAGS "-L${CMAKE_INSTALL_PREFIX}/lib")

  set_target_properties (omp PROPERTIES LINK_FLAGS
                         "${GLIB_LDFLAGS} ${OPENVAS_LDFLAGS}")

  set (GLIB_CFLAGS "-I${CROSS_ENV}include")
  set (GLIB_CFLAGS "${GLIB_CFLAGS} -I${CROSS_ENV}include/glib-2.0")
  set (GLIB_CFLAGS "${GLIB_CFLAGS} -I${CROSS_ENV}lib/glib-2.0/include")

  set_target_properties (omp PROPERTIES COMPILE_FLAGS
                         "-I${CMAKE_INSTALL_PREFIX}/include ${GLIB_CFLAGS}")

  target_link_libraries (omp "${GLIB_LDFLAGS} ${OPENVAS_LDFLAGS} -lopenvas_omp -lopenvas_misc -lglib-2.0 -lgthread-2.0 -lgnutls -ltasn1 -lkdewin -lws2_32 -lgcrypt -lintl -lgpg-error -liconv -lz -lole32 -lwinmm")
else (MINGW)
  if (BUILD_STATIC_OMP)
    set(CMAKE_EXE_LINKER_FLAGS -static)
    set(CMAKE_FIND_LIBRARY_SUFFIXES .a)
    set(CMAKE_EXE_LINK_DYNAMIC_C_FLAGS)
    set(CMAKE_SHARED_LIBRARY_C_FLAGS)
    set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS)
    set_property(GLOBAL PROPERTY TARGET_SUPPORTS_SHARED_LIBS FALSE)

    target_link_libraries (omp
                           ${GNUTLS_STATIC_LDFLAGS}
                           ${GLIB_STATIC_LDFLAGS}
                           ${GCRYPT_LDFLAGS}
                           ${LIBOPENVAS_OMP_STATIC_LDFLAGS}
                           ${LIBOPENVAS_BASE_STATIC_LDFLAGS}
                           ${LIBOPENVAS_MISC_STATIC_LDFLAGS}
                           ${GPGME_LDFLAGS})
  else (BUILD_STATIC_OMP)
    target_link_libraries (omp
                           ${GNUTLS_LDFLAGS}
                           ${GLIB_LDFLAGS}
                           ${LIBOPENVAS_OMP_LDFLAGS}
                           ${LIBOPENVAS_BASE_LDFLAGS}
                           ${LIBOPENVAS_MISC_LDFLAGS}
                           ${LINKER_HARDENING_FLAGS})
  endif (BUILD_STATIC_OMP)
endif (MINGW)

## Install

install (TARGETS omp
         RUNTIME DESTINATION ${BINDIR})


## Tag files

set (C_FILES "${CMAKE_CURRENT_SOURCE_DIR}/omp.c")
add_custom_target (etags COMMENT "Building TAGS..."
                   COMMAND etags ${C_FILES})
add_custom_target (ctags COMMENT "Building tags..."
                   COMMAND ctags ${C_FILES})
add_custom_target (tags COMMENT "Building tags files...")
add_dependencies (tags etags ctags)

## End

=== debian/changelog ===
openvas-cli (1.4.5-2) unstable; urgency=medium

  * Team upload
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Switch to debhelper compat level 11
  * Bump Standards-Version to 4.1.5
  * Change priority from extra to optional

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 10 Jul 2018 16:32:31 +0200

openvas-cli (1.4.5-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 14 Nov 2016 11:08:34 +0800

openvas-cli (1.4.4-1) unstable; urgency=medium

  * Import upstream version to Debian (Closes: #840083)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Sat, 08 Oct 2016 23:00:47 +0800

openvas-cli (1.4.4-0kali1) kali-experimental; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Wed, 22 Jun 2016 11:38:54 +0200

openvas-cli (1.4.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Upgrade minimal required version of libopenvas-dev

 -- Sophie Brun <sophie@freexian.com>  Thu, 10 Sep 2015 16:26:13 +0200

openvas-cli (1.4.0-0kali1) kali; urgency=medium

  * Import new upstream release
  * Update build dependencies
  * Update debian/copyright

 -- Sophie Brun <sophie@freexian.com>  Fri, 10 Apr 2015 12:00:27 +0200

openvas-cli (1.3.0-0kali3) kali-dev; urgency=medium

  * Rebuild in kali-dev for gnutls28 + libgcrypt11 transition.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 21 Nov 2014 18:42:22 +0100

openvas-cli (1.3.0-0kali2) kali; urgency=medium

  * Add dh_install --list-missing in debian/rules
  * Correct the openvas-cli.install: drop directory check_nagios
  * Drop priority on openvas-cli-dbg as redundant with priority on source
    package

 -- Sophie Brun <sophie@freexian.com>  Fri, 01 Aug 2014 14:24:02 +0200

openvas-cli (1.3.0-0kali1) kali; urgency=medium

  [ Sophie Brun ]
  * New upstream release. 
  * Add files debian/copyright and debian/source/format
  * Update debian/rules to use debhelper 9
  * Create files .manpages, .docs, . install (to use debhelper 9)

  [ Raphaël Hertzog ]
  * Drop cdbs from Build-Depends, no longer needed.

 -- Sophie Brun <sophie@freexian.com>  Fri, 01 Aug 2014 11:00:06 +0200

openvas-cli (1.2.0-0kali1) kali; urgency=low

  * New upstream release.
  * Update build dependencies and install new files.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 May 2013 14:27:52 +0200

openvas-cli (1.1.5-1kali0) kali; urgency=low

  * Version update

 -- Mati Aharoni <muts@kali.org>  Tue, 04 Dec 2012 12:46:46 -0500

openvas-cli (1.1.5-1) unstable; urgency=low

  * New upstream release.
    - Clean up CMake infrastructure and ensure that compilation with modern
      gccs works.
    - If the OMP version is unknown just treat it like version 3.0, as later
      versions may still work with the 3.0 settings.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Fri, 10 Aug 2011 23:39:51 +0200

openvas-cli (1.1.4-1) unstable; urgency=low

  * New upstream release.
    - Support for OMP 3.0 when retrieving reports has been added.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Tue, 06 Dec 2011 21:49:59 +0100

openvas-cli (1.1.3-1) unstable; urgency=low

  * New upstream release.
    - The "omp" command now accepts XML input from stdin when using the "-X"
      parameter.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Sun, 16 Oct 2011 14:09:19 +0200

openvas-cli (1.1.2-1) unstable; urgency=low

  * New upstream release.
    - The build environment has been consolidated.
    - The documentation for the password parameter on the man page has been
      corrected.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 23 Feb 2011 20:49:31 +0100

openvas-cli (1.1.1-1) unstable; urgency=low

  * New upstream release.
    - Hardening flags are now enabled during compile time to increase code quality.
    - The output of --version is now compliant with the GNU Coding Standards.
    - The omp binary now warns about revealing passwords when verbose output is
      requested.
    - OpenVAS CLI now use pkg-config to find required libraries.
    - OpenVAS CLI now provides a manual page for the omp binary.
    - The authentication password can now be entered interactively.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Fri, 04 Feb 2011 21:53:44 +0100

openvas-cli (1.1.0-1) unstable; urgency=low

  * New upstream release.
    - New parameter: --get-configs for retrieving a list of scan configs.
    - New parameter: --get-targets for retrieving a list of targets.
    - Special characters in OMP commands (like umlauts) are now handled correctly.
    - The documentation has been improved; source code documentation can now be
      generated using the "make doc" and "make doc-full" commands.
    - Compatibility with different OMP versions has been improved.
    - New parameter: --get-report-formats for retrieving the available report
      formats (OMP 2.0 only).
    - New parameter: --get-omp-version for determining the OMP version used by the
      server.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Fri, 03 Dec 2010 19:08:38 +0100

openvas-cli (1.0.1-1) unstable; urgency=low

  * New upstream release.
    - Special characters in OMP commands (like umlauts) are now handled correctly.
    - The documentation has been improved; source code documentation can now be
      generated using the "make doc" and "make doc-full" commands.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Thu, 28 Oct 2010 18:53:26 +0200

openvas-cli (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - The build environment and the code have been cleaned up and made more
      consistent with the other OpenVAS modules.
    - The documentation has been updated.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 04 Aug 2010 16:01:26 +0200

openvas-cli (0.2.0-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: openvas-cli
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Stephan Kleine <bitshuffler@opensuse.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Build-Depends: debhelper (>= 11),
               cmake (>= 2.8),
               libopenvas-dev (>= 8.0.4),
               pkg-config
Standards-Version: 4.1.5
Homepage: http://www.openvas.org/
Vcs-Git: https://salsa.debian.org/pkg-security-team/openvas-cli.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/openvas-cli

Package: openvas-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command Line Tools for OpenVAS
 OpenVAS-CLI collects command line tools
 to handle with the OpenVAS services via the respective
 protocols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4
# don't consider beta versions
 http://wald.intevation.org/frs/?group_id=29 \
 .*/openvas-cli-(\d[\d.]*)\.tar\.gz$
